## maven2 2.2.1

=== debian/changelog ===
maven2 (2.2.1-7build1) oneiric; urgency=low

  * Rebuild with new maven2-core.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 06 Sep 2011 14:46:27 +0200

maven2 (2.2.1-7) unstable; urgency=low

  * Team upload.
  * Rebuild to update plugin versions.

 -- Miguel Landaeta <miguel@miguel.cc>  Sun, 14 Aug 2011 15:06:30 -0430

maven2 (2.2.1-6) unstable; urgency=low

  * Team upload.
  * No change rebuild in order to re-assemble the uber jar. (Closes: #636206).
  * Bump Standards-Version to 3.9.2. No changes were required.

 -- Miguel Landaeta <miguel@miguel.cc>  Tue, 02 Aug 2011 21:56:46 -0430

maven2 (2.2.1-5) unstable; urgency=low

  * Remove Paul from Uploaders list.
  * Add myself to Uploaders list.
  * Build with maven2-core 2.2.1-4.

 -- Torsten Werner <twerner@debian.org>  Sun, 16 May 2010 13:43:36 +0200

maven2 (2.2.1-4) unstable; urgency=low

  * Improve bash completion for maven2, -D options are better
    handled for plugins (for example, mvn install:install-file -DpomFile=...)
  * Apply patch from Heikki Henriksen <heikkih@gmail.com> to
    fix mvnDebug command. Thanks Heikki! (Closes: #561596)

 -- Ludovic Claude <ludovic.claude@laposte.net>  Tue, 06 Apr 2010 20:38:51 +0200

maven2 (2.2.1-3) unstable; urgency=low

  * Team Upload.
  * Rebuild with new libmaven2-core-java 2.2.1-2
    (should fix plugins dependencies version issues)
  * Update Standards-Version to 3.8.4: no changes needed
  * Bump debhelper to >= 7
  * Use 3.0 (quilt) source format:
    - Rework debian/README.source

 -- Damien Raude-Morvan <drazzib@debian.org>  Mon, 05 Apr 2010 21:39:56 +0200

maven2 (2.2.1-2) unstable; urgency=low

  * Rebuild to update plugin versions (Closes: #552704, #553046).

 -- Michael Koch <konqueror@gmx.de>  Tue, 03 Nov 2009 14:41:53 +0100

maven2 (2.2.1-1) unstable; urgency=low

  * New upstream release (Closes: #542546)
  * Update download url for debian/watch and debian/orig-tar.sh
  * Update Standards-Version to 3.8.3
     - add debian/README.source
  * Fix bash completion to keep working after single options such
    as --offline or -Dmaven.test.skip=true
  * Ensure that all classes are compiled for Java 1.5 (Closes: #542162)

 -- Ludovic Claude <ludovic.claude@laposte.net>  Thu, 03 Sep 2009 20:42:38 +0100

maven2 (2.2.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Torsten Werner <twerner@debian.org>  Fri, 14 Aug 2009 14:59:25 +0200

maven2 (2.2.0-1) experimental; urgency=low

  * New upstream version
  * Added myself to Uploaders.
  * Change section to java, bump Standards-Version to 3.8.1
  * Add a Build-Depends-Indep dependency on maven-repo-helper
  * Move ant to Build-Depends (needed for clean target)
  * Add dependency on java runtimes for the maven2 binary.
  * Change the dependency on java-gcj to default-jdk (Closes: #526295)
  * Update watch and added orig-tar.sh to download the sources, 
    get-orig-source in rules now uses uscan
  * Use quilt to manage the patches, add a patch to use the upstream
    build.xml as the build file, disabling all dependency downloading from it
  * Split the package in 2 parts: maven2-core contains all libraries,
    this package contains only the uber jar and the scripts
  * Updated the build to use Maven and its plugins to bootstrap itself,
    based on a patched version of the build.xml boostrap script provided
    with Maven. In particular, it now generates properly the shaded uber-jar,
    this will avoid potential class versionning conflicts for the shared 
    libraries used in the plugins.
  * Added Build-Depends-Indep on libmaven-clean-plugin-java,
    libmaven-compiler-plugin-java, libmaven-install-plugin-java, 
    libmaven-jar-plugin-java, libmaven-resources-plugin-java, 
    libmaven-shade-plugin-java and add a Recommends on those libraries.
  * Remove debian/META-INF as this information is now generated by the build.
  * Improve command line completion.

 -- Ludovic Claude <ludovic.claude@laposte.net>  Mon, 02 Mar 2009 15:04:20 +0000

maven2 (2.0.9-2) unstable; urgency=low

  [ Michael Koch ]
  * Reworked watch file to support RC versions correctly.
  * Added myself to Uploaders.

  [ Paul Cager ]
  * Added maven-toolchain to list of sub-projects to build.
    (Closes: #486938).
  * Standards version 3.8.0 (no changes necessary).

 -- Paul Cager <paul-debian@home.paulcager.org>  Sat, 21 Jun 2008 20:49:29 +0000

maven2 (2.0.9-1) unstable; urgency=low

  [ Paul Cager ]
  * New upstream version
  
  [ Michael Koch ]
  * Added bash-completion file (Closes: #477443).

 -- Paul Cager <paul-debian@home.paulcager.org>  Thu, 24 Apr 2008 23:46:29 +0100

maven2 (2.0.8-6) unstable; urgency=low

  * Added symlink /usr/share/maven2/bin/mvn -> /usr/bin/mvn
    (and the same for m2).
    Fixes bug http://jira.codehaus.org/browse/MINVOKER-28
    (thanks to manfred@mosabuam.com for reporting the bug).

 -- Paul Cager <paul-debian@home.paulcager.org>  Fri, 04 Apr 2008 20:15:52 +0100

maven2 (2.0.8-5) unstable; urgency=low

  * Fixed processing of command line options (Closes: #466860)
    - Removed patch to call of commons-cli, and fixed problem in
      commons-cli instead (see bug 469082).

 -- Paul Cager <paul-debian@home.paulcager.org>  Sun, 16 Mar 2008 11:44:55 +0000

maven2 (2.0.8-4) unstable; urgency=low

  * Closes: #458895: Creating empty project with artifacts fails.
    Bug appeared when version 1.1 of libcommons-cli-java was uploaded. This
    new version conforms more rigorously to its API check which exposed
    a bug in the Maven code. (Patch "command-line").

 -- Paul Cager <paul-debian@home.paulcager.org>  Fri, 11 Jan 2008 23:49:29 +0000

maven2 (2.0.8-3) unstable; urgency=low

  * Add versioned runtime dependency to libplexus-utils-java.

 -- Paul Cager <paul-debian@home.paulcager.org>  Fri, 14 Dec 2007 22:37:09 +0000

maven2 (2.0.8-2) unstable; urgency=low

  * Fixed version number. (Closes: #456298)

 -- Paul Cager <paul-debian@home.paulcager.org>  Fri, 14 Dec 2007 13:06:50 +0000

maven2 (2.0.8-1) unstable; urgency=low


