=== debian/control ===
Source: maven2
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Michael Koch <konqueror@gmx.de>, Ludovic Claude <ludovic.claude@laposte.net>,
 Torsten Werner <twerner@debian.org>
Build-Depends-Indep: maven-repo-helper, ant-optional, junit, libmaven-clean-plugin-java,
  libmaven-compiler-plugin-java, libmaven-install-plugin-java, libmaven-jar-plugin-java,  
  libmaven-resources-plugin-java, libmaven-shade-plugin-java,
  libmaven2-core-java (>= 2.2.1-4~), maven-ant-helper
Build-Depends: debhelper (>= 7), cdbs (>= 0.4.5.3), default-jdk, ant
Standards-Version: 3.9.2
Homepage: http://maven.apache.org/
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/maven2
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/maven2

Package: maven2
Architecture: all
Depends: ${misc:Depends}, libmaven2-core-java,
  default-jre (>= 1.4) | default-jre-headless (>= 1.4) | java2-runtime | java2-runtime-headless
Recommends: libmaven-clean-plugin-java,
  libmaven-compiler-plugin-java, libmaven-install-plugin-java, libmaven-jar-plugin-java,  
  libmaven-resources-plugin-java, libmaven-shade-plugin-java
Conflicts: maven2-binary
Replaces: maven2-binary
Description: Java software project management and comprehension tool
 Maven is a software project management and comprehension tool. Based on the
 concept of a project object model (POM), Maven can manage a project's build,
 reporting and documentation from a central piece of information.
 .
 Maven's primary goal is to allow a developer to comprehend the complete
 state of a development effort in the shortest period of time. In order to
 attain this goal there are several areas of concern that Maven attempts
 to deal with:
 .
    * Making the build process easy
    * Providing a uniform build system
    * Providing quality project information
    * Providing guidelines for best practices development
    * Allowing transparent migration to new features
